=head1 NAME

Gnome2::ThumbnailFactory - wrapper for GnomeThumbnailFactory

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gnome2::ThumbnailFactory



=cut


=head1 METHODS

=head2 thumbnailfactory = Gnome2::ThumbnailFactory-E<gt>B<new> ($size)

=over

=item * $size (Gnome2::ThumbnailSize) 

=back

=head2 boolean = $factory-E<gt>B<can_thumbnail> ($uri, $mime_type, $mtime)

=over

=item * $uri (string) 

=item * $mime_type (string) 

=item * $mtime (a timestamp) 

=back

=head2 $factory-E<gt>B<create_failed_thumbnail> ($uri, $mtime)

=over

=item * $uri (string) 

=item * $mtime (a timestamp) 

=back

=head2 pixbuf = $factory-E<gt>B<generate_thumbnail> ($uri, $mime_type)

=over

=item * $uri (string) 

=item * $mime_type (string) 

=back

=head2 boolean = $factory-E<gt>B<has_valid_failed_thumbnail> ($uri, $mtime)

=over

=item * $uri (string) 

=item * $mtime (a timestamp) 

=back

=head2 string = $factory-E<gt>B<lookup> ($uri, $mtime)

=over

=item * $uri (string) 

=item * $mtime (a timestamp) 

=back

=head2 $factory-E<gt>B<save_thumbnail> ($thumbnail, $uri, $original_mtime)

=over

=item * $thumbnail (Gtk2::Gdk::Pixbuf) 

=item * $uri (string) 

=item * $original_mtime (a timestamp) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gnome2::ThumbnailSize

=over

=item * 'normal' / 'GNOME_THUMBNAIL_SIZE_NORMAL'

=item * 'large' / 'GNOME_THUMBNAIL_SIZE_LARGE'

=back




=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

